<?php
require '../../conexao/conexao.php';
require '../../configuacoes.php';
require './consulta_bd.php';

$consulta_painel_metas = new CunsultasPainelMetas();

$metas = $_POST['metas'] ?? null;
$tipo_meta = $_POST['tipo_meta'] ?? null;
$ano = $_POST['ano'] ?? null;
$url = $_POST['url'] ?? null;
$periodo = $_POST['periodo'] ?? null;


//die(var_dump($periodo));


if (!empty($tipo_meta) && $tipo_meta == '2') {
    foreach ($metas as $id_meta => $filiais) {
        foreach ($filiais as $filial => $vendedores) {
            foreach ($vendedores as $cod_vendedor => $meses) {
                foreach ($meses as $mes => $tipos) {

                    $tipos_meta = [
                        '2' => ['valor1' => $tipos['manipulado1'] ?? null, 'valor2' => $tipos['manipulado2'] ?? null],
                        '1' => ['valor1' => $tipos['revenda1'] ?? null, 'valor2' => $tipos['revenda2'] ?? null],
                        '3' => ['valor1' => $tipos['marca_propria1'] ?? null, 'valor2' => $tipos['marca_propria2'] ?? null],
                    ];
                    foreach ($tipos_meta as $codigo_meta => $valores) {
                        if (!empty($valores['valor1']  || $valores['valor2'])) {
                            $valor1 = str_replace(['.', ','], ['', '.'], $valores['valor1']);
                            $valor2 = str_replace(['.', ','], ['', '.'], $valores['valor2']);
                            $valor1 = floatval($valor1);
                            $valor2 = floatval($valor2);
                            if ($id_meta == 0) {
                                $consulta_painel_metas->DefineMeta(
                                    $filial,
                                    $codigo_meta,
                                    $tipo_meta,
                                    null,
                                    $ano,
                                    $mes,
                                    $valor1,
                                    $valor2,
                                    $cod_vendedor,
                                    null,
                                    $periodo
                                );
                            } else {
                                // UPDATE
                                $consulta_painel_metas->UpdateDefineMeta(
                                    $id_meta,
                                    $codigo_meta,
                                    $valor1,
                                    $valor2,
                                    null,
                                    $periodo
                                );
                            }
                        }
                    }
                }
            }
        }
    }
}

if (!empty($tipo_meta) && $tipo_meta == '3') {
    foreach ($metas as $id_meta => $filiais) {
        foreach ($filiais as $filial => $meses) {
            foreach ($meses as $mes => $tipos) {
                $tipos_meta = [
                    '2' => ['valor1' => $tipos['manipulado1'] ?? null, 'valor2' => $tipos['manipulado2'] ?? null],
                    '1' => ['valor1' => $tipos['revenda1'] ?? null, 'valor2' => $tipos['revenda2'] ?? null],
                    '3' => ['valor1' => $tipos['marca_propria1'] ?? null, 'valor2' => $tipos['marca_propria2'] ?? null],
                ];
                foreach ($tipos_meta as $codigo_meta => $valores) {
                    if (!empty($valores['valor1']  || $valores['valor2'])) {
                        $valor1 = str_replace(['.', ','], ['', '.'], $valores['valor1']);
                        $valor2 = str_replace(['.', ','], ['', '.'], $valores['valor2']);
                        //echo $valor1 . '/';
                        //echo $valor2;
                        $valor1 = floatval($valor1);
                        $valor2 = floatval($valor2);
                        if ($id_meta == 0) {
                            $insert = $consulta_painel_metas->DefineMeta(
                                $filial,
                                $codigo_meta,
                                $tipo_meta,
                                null,
                                $ano,
                                $mes,
                                $valor1,
                                $valor2,
                                0,
                                null,
                                $periodo
                            );
                        } else {
                            // UPDATE
                            $consulta_painel_metas->UpdateDefineMeta(
                                $id_meta,
                                $codigo_meta,
                                $valor1,
                                $valor2,
                                null,
                                $periodo
                            );
                        }
                    }
                }
            }
        }
    }
}

if (!empty($tipo_meta) && $tipo_meta == '4') {
    foreach ($metas as $id_meta => $filiais) {
        foreach ($filiais as $filial => $visitadores) {
            foreach ($visitadores as $cod_visitador => $meses) {
                foreach ($meses as $mes => $tipos) {
                    $tipos_meta = [
                        '1' => ['valor1' => $tipos['meta1'] ?? null, 'valor2' => $tipos['meta2'] ?? null, 'percentual' => $tipos['percentual'] ?? null]
                    ];
                    foreach ($tipos_meta as $codigo_meta => $valores) {
                        if (!empty($valores['valor1']  || $valores['valor2'])) {
                            $valor1 = str_replace(['.', ','], ['', '.'], $valores['valor1']);
                            $valor2 = str_replace(['.', ','], ['', '.'], $valores['valor2']);
                            $percentual = str_replace(['.', ','], ['', '.'], $valores['percentual']);
                            // echo $valor1 . '/';
                            //echo $valor2;
                            $valor1 = floatval($valor1);
                            $valor2 = floatval($valor2);
                            $percentual = floatval($percentual);
                            // var_dump($valor1);
                            // echo '/';
                            // var_dump($valor2);
                            if ($id_meta == 0) {
                                $insert = $consulta_painel_metas->DefineMeta(
                                    $filial,
                                    0,
                                    $tipo_meta,
                                    $percentual,
                                    $ano,
                                    $mes,
                                    $valor1,
                                    $valor2,
                                    null,
                                    $cod_visitador
                                );
                            } else {
                                // UPDATE
                                $consulta_painel_metas->UpdateDefineMeta(
                                    $id_meta,
                                    $codigo_meta,
                                    $valor1,
                                    $valor2,
                                    $percentual
                                );
                            }
                        }
                    }
                }
            }
        }
    }
}


$_SESSION['message'] = 'Meta adicionada com sucesso ';
$location = './lista_metas_definidas.php?status=sucesso';
if (!empty($url)) {
    $location .= '&' . $url;
}
header("Location: $location");
exit;


// Fecha a conexão com o banco de dados
$connectionmysql->close();
